/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'flexkit-icons\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-home': '&#xe000;',
		'icon-home2': '&#xe001;',
		'icon-news': '&#xe002;',
		'icon-paper': '&#xe002;',
		'icon-pencil': '&#xe003;',
		'icon-pencil2': '&#xe004;',
		'icon-pencil3': '&#xe005;',
		'icon-brush': '&#xe006;',
		'icon-camera': '&#xe007;',
		'icon-picture': '&#xe008;',
		'icon-movie2': '&#xe009;',
		'icon-film': '&#xe00a;',
		'icon-king': '&#xe00b;',
		'icon-queen': '&#xe00c;',
		'icon-announcement': '&#xe00d;',
		'icon-announcement2': '&#xe00e;',
		'icon-broadcast': '&#xe00f;',
		'icon-books': '&#xe010;',
		'icon-reading': '&#xe011;',
		'icon-file': '&#xe012;',
		'icon-file-add': '&#xe013;',
		'icon-file-remove': '&#xe014;',
		'icon-copy': '&#xe015;',
		'icon-stack': '&#xe016;',
		'icon-folder': '&#xe017;',
		'icon-folder2': '&#xe018;',
		'icon-folder-add': '&#xe019;',
		'icon-folder-remove': '&#xe01a;',
		'icon-folder-add2': '&#xe01b;',
		'icon-folder-remove2': '&#xe01c;',
		'icon-folder-download': '&#xe01d;',
		'icon-folder-upload': '&#xe01e;',
		'icon-folder-download2': '&#xe01f;',
		'icon-folder-upload2': '&#xe020;',
		'icon-folder3': '&#xe021;',
		'icon-folder4': '&#xe022;',
		'icon-tag2': '&#xe023;',
		'icon-tag3': '&#xe024;',
		'icon-barcode': '&#xe025;',
		'icon-barcode2': '&#xe026;',
		'icon-ticket': '&#xe027;',
		'icon-cart': '&#xe028;',
		'icon-cart2': '&#xe029;',
		'icon-cart3': '&#xe02a;',
		'icon-backet': '&#xe02b;',
		'icon-basket2': '&#xe02c;',
		'icon-basket3': '&#xe02d;',
		'icon-bag2': '&#xe02e;',
		'icon-bag': '&#xe02f;',
		'icon-coin': '&#xe030;',
		'icon-support': '&#xe031;',
		'icon-fax': '&#xe032;',
		'icon-phone': '&#xe033;',
		'icon-phone2': '&#xe034;',
		'icon-phone3': '&#xe035;',
		'icon-phone4': '&#xe036;',
		'icon-phone5': '&#xe037;',
		'icon-phone6': '&#xe038;',
		'icon-address': '&#xe039;',
		'icon-address2': '&#xe03a;',
		'icon-notebook': '&#xe03b;',
		'icon-mail': '&#xe03c;',
		'icon-mail2': '&#xe03d;',
		'icon-mail3': '&#xe03e;',
		'icon-mail4': '&#xe03f;',
		'icon-mail5': '&#xe040;',
		'icon-send': '&#xe041;',
		'icon-location': '&#xe042;',
		'icon-location2': '&#xe043;',
		'icon-location3': '&#xe044;',
		'icon-location4': '&#xe045;',
		'icon-map': '&#xe046;',
		'icon-map2': '&#xe047;',
		'icon-wrist-watch': '&#xe048;',
		'icon-calendar': '&#xe049;',
		'icon-calendar2': '&#xe04a;',
		'icon-calendar3': '&#xe04b;',
		'icon-calendar4': '&#xe04c;',
		'icon-printer': '&#xe04d;',
		'icon-printer2': '&#xe04e;',
		'icon-screen': '&#xe04f;',
		'icon-screen2': '&#xe050;',
		'icon-laptop': '&#xe051;',
		'icon-mobile': '&#xe052;',
		'icon-tablet': '&#xe053;',
		'icon-disk': '&#xe054;',
		'icon-cd': '&#xe055;',
		'icon-comments': '&#xe056;',
		'icon-comments2': '&#xe057;',
		'icon-comments3': '&#xe058;',
		'icon-comments4': '&#xe059;',
		'icon-comments5': '&#xe05a;',
		'icon-comments6': '&#xe05b;',
		'icon-comments7': '&#xe05c;',
		'icon-comments8': '&#xe05d;',
		'icon-comments9': '&#xe05e;',
		'icon-user': '&#xe05f;',
		'icon-user-add': '&#xe060;',
		'icon-user-remove': '&#xe061;',
		'icon-users': '&#xe062;',
		'icon-users2': '&#xe063;',
		'icon-quote': '&#xe064;',
		'icon-quote2': '&#xe065;',
		'icon-quote3': '&#xe066;',
		'icon-quote4': '&#xe067;',
		'icon-search': '&#xe068;',
		'icon-zoom-in': '&#xe069;',
		'icon-zoom-out': '&#xe06a;',
		'icon-key': '&#xe06b;',
		'icon-key2': '&#xe06c;',
		'icon-locked': '&#xe06d;',
		'icon-unlocked': '&#xe06e;',
		'icon-locked2': '&#xe06f;',
		'icon-unlocked2': '&#xe070;',
		'icon-cogs': '&#xe071;',
		'icon-cogs2': '&#xe072;',
		'icon-cog': '&#xe073;',
		'icon-cog2': '&#xe074;',
		'icon-remove': '&#xe075;',
		'icon-remove2': '&#xe076;',
		'icon-remove3': '&#xe077;',
		'icon-remove4': '&#xe078;',
		'icon-remove5': '&#xe079;',
		'icon-clipboard': '&#xe07a;',
		'icon-clipboard2': '&#xe07b;',
		'icon-menu': '&#xe07c;',
		'icon-more-vert': '&#xe07d;',
		'icon-grid': '&#xe07e;',
		'icon-list': '&#xe07f;',
		'icon-list2': '&#xe080;',
		'icon-list3': '&#xe081;',
		'icon-grid2': '&#xe082;',
		'icon-list4': '&#xe083;',
		'icon-list5': '&#xe084;',
		'icon-menu2': '&#xe085;',
		'icon-menu4': '&#xe086;',
		'icon-link': '&#xe087;',
		'icon-link2': '&#xe088;',
		'icon-star': '&#xe089;',
		'icon-star2': '&#xe08a;',
		'icon-star3': '&#xe08b;',
		'icon-heart': '&#xe08c;',
		'icon-heart2': '&#xe08d;',
		'icon-thumbs-up': '&#xe08e;',
		'icon-thumbs-down': '&#xe08f;',
		'icon-male': '&#xe090;',
		'icon-female': '&#xe091;',
		'icon-reload': '&#xe092;',
		'icon-reload2': '&#xe093;',
		'icon-reload3': '&#xe094;',
		'icon-reload4': '&#xe095;',
		'icon-turn': '&#xe096;',
		'icon-expand': '&#xe097;',
		'icon-close': '&#xe098;',
		'icon-close2': '&#xe099;',
		'icon-close3': '&#xe09a;',
		'icon-checkmark': '&#xe09b;',
		'icon-checkmark2': '&#xe09c;',
		'icon-checkmark3': '&#xe09d;',
		'icon-add': '&#xe09e;',
		'icon-add-circle': '&#xe09f;',
		'icon-cancel-circle': '&#xe0a0;',
		'icon-check-circle': '&#xe0a1;',
		'icon-error-circle': '&#xe0a2;',
		'icon-info-circle': '&#xe0a3;',
		'icon-login': '&#xe0a4;',
		'icon-logout': '&#xe0a5;',
		'icon-arrow-up': '&#xe0a6;',
		'icon-arrow-right': '&#xe0a7;',
		'icon-arrow-down': '&#xe0a8;',
		'icon-arrow-left': '&#xe0a9;',
		'icon-arrow-up2': '&#xe0aa;',
		'icon-arrow-right2': '&#xe0ab;',
		'icon-arrow-down2': '&#xe0ac;',
		'icon-arrow-left2': '&#xe0ad;',
		'icon-arrow-up3': '&#xe0ae;',
		'icon-arrow-right3': '&#xe0af;',
		'icon-arrow-down3': '&#xe0b0;',
		'icon-arrow-left3': '&#xe0b1;',
		'icon-sort-up': '&#xe0b2;',
		'icon-arrow-right5': '&#xe0b3;',
		'icon-arrow-left4': '&#xe0b4;',
		'icon-sort-down': '&#xe0b5;',
		'icon-sort': '&#xe0b6;',
		'icon-delivery': '&#xe0b7;',
		'icon-delivery2': '&#xe0b8;',
		'icon-delivery3': '&#xe0b9;',
		'icon-delivery4': '&#xe0ba;',
		'icon-delivery5': '&#xe0bb;',
		'icon-idcard': '&#xe0bc;',
		'icon-idcard2': '&#xe0bd;',
		'icon-idcard3': '&#xe0be;',
		'icon-mail-book': '&#xe0bf;',
		'icon-user-book': '&#xe0c0;',
		'icon-earth': '&#xe0c1;',
		'icon-gplus': '&#xe0c2;',
		'icon-facebook': '&#xe0c3;',
		'icon-twitter': '&#xe0c4;',
		'icon-feed': '&#xe0c5;',
		'icon-youtube': '&#xe0c6;',
		'icon-odnoklassniki': '&#xe0c7;',
		'icon-vimeo': '&#xe0c8;',
		'icon-blogger': '&#xe0c9;',
		'icon-pinterest': '&#xe0ca;',
		'icon-linkedin': '&#xe0cb;',
		'icon-vk': '&#xe0cc;',
		'icon-instagram-old': '&#xe0cd;',
		'icon-instagram': '&#xe0ce;',
		'icon-html5': '&#xe0cf;',
		'icon-html52': '&#xe0d0;',
		'icon-chrome': '&#xe0d1;',
		'icon-firefox': '&#xe0d2;',
		'icon-IE': '&#xe0d3;',
		'icon-opera': '&#xe0d4;',
		'icon-safari': '&#xe0d5;',
		'icon-toaster': '&#xe0d6;',
		'icon-file-zip': '&#xe0d7;',
		'icon-file-doc': '&#xe0d8;',
		'icon-file-pdf': '&#xe0d9;',
		'icon-bell': '&#xe0da;',
		'icon-arrow-right6': '&#xe0db;',
		'icon-arrow-left5': '&#xe0dc;',
		'icon-eye': '&#xe0dd;',
		'icon-clock': '&#xe0de;',
		'icon-light': '&#xe0df;',
		'icon-copyright': '&#xe0e0;',
		'icon-download': '&#xe0e1;',
		'icon-headphones': '&#xe0e2;',
		'icon-info': '&#xe0e3;',
		'icon-play-circle': '&#xe0e4;',
		'icon-pause-circle': '&#xe0e5;',
		'icon-remove-circle': '&#xe0e6;',
		'icon-yelp': '&#xe901;',
		'icon-gbusiness': '&#xe900;',
		'icon-play': '&#xe902;',
		'icon-play2': '&#xe903;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
