// Document ready
$(function(){
    $("html").addClass('docReady');

    var scrollW=$(window).outerWidth() - $('body').width();
    document.documentElement.style.setProperty('--spacing', scrollW + 'px');
    console.log('scrollWidth',scrollW);

    if($(".isSticky").length>0) {
        var header_height=$(".isSticky").outerHeight();
        var toprow_height=$("#top-row").outerHeight();

        $(window).on('scroll',function(){
            if($('header').hasClass('menu-open')) {
                if($(window).scrollTop()>toprow_height) {
                    $(".isSticky").addClass('fixedHeader');
                } else {
                    $(".isSticky").removeClass('fixedHeader');
                }
            } else {
                if($(window).scrollTop()>header_height) {
                    $(".isSticky").addClass('fixedHeader animated slideInDown');
                } else {
                    $(".isSticky").removeClass('fixedHeader animated slideInDown wait-animation');
                }
            }

        });
    }
    
    $(".btn[class^=fb_], .product .offer .tcart-add").each(function () {
      if(!$(this).text()==0) {
          $(this).wrapInner( "<span></span>");
      }
    });

    $(".listpages, .listcategories, .featureditem , .relatedpages").each(function () {
        if($(this).find('a.page-teaser-image').length!=0 && $(this).find('a.page-teaser-icon').length==0) {
            $(this).addClass('has-img');
            $(this).find('li').each(function () {
                var imgSrc=$(this).find('a.page-teaser-image img').attr('src');
                $(this).find('a.page-teaser-image').css('background-image','url("'+imgSrc+'")');
            });
        }
        if($(this).find('.front').length!=0) {
            $(this).addClass('flip-card');
        }
    });
    $(".featureditem li, .featureapage, .listpages li, .listcategories li").on('click',function(e){
        var target = $( e.target );
        if ( !target.is( "img" ) ) {
            var href=$(this).find("a.page-title").attr("href");
            location.href=href;
        }
    });

    $('.search-bar #search').attr('placeholder','Search...');

    $('header .btn-search').on('click', function () {
        $('.search-bar').addClass('open');
        //$('header').addClass('menu-open');
      //  $("html").addClass("wrap");
      //   setTimeout(function() {
      //       $('.search-bar #search').focus();
      //       $('.search-bar .search-form').addClass('focused');
      //   }, 500);
    });

    $(".search-overlay").on('click', function () {
        $('.search-bar').removeClass('open');
        // $('header').css({
        //     "-webkit-transform": "translateZ(0)",
        //     "transform": "translateZ(0)",
        //     "position" : "fixed"
        // });
        // $('header').removeClass('menu-open');
      //  $("html").removeClass("wrap");
    });

    $('.search-form #search').on('focus',function(){
        $('.search-form').addClass('focused');
    });
    $('.search-form #search').on('blur',function(){
        $('.search-form').removeClass('focused');
    });

    $('.main_menu li .sub-menu-btn').on('click', function () {
        $(this).toggleClass('active').parent().find('ul').toggleClass('open');
    });

    $(".btn-menu").on('click', function () {
        $("nav#main-menu").toggleClass("open");
        if ($(this).hasClass('active')) {
            $(".isSticky").addClass('animated slideInDown wait-animation');
        }
        $(this).toggleClass('active');
        $('header').toggleClass('menu-open');
    });

   // $( ".news-item.grid" ).wrapAll( "<div class='news-list' />");

    var $parents = $(':has(">.news-item.grid")');
    $parents.each(function(){
        $(this).find('>.news-item.grid').wrapAll($('<div/>').addClass('news-list'))
    });




    // START Youtube - Vimeo substitution with image

    $("iframe").each(function () {
        var el = $(this),
                elSrc = el.attr("src") + "";

        var videoTitle = "";

        if(el.siblings(".title")){
            videoTitle = el.siblings(".title").text().replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
        }


        if (elSrc.indexOf("https://www.youtube.com/embed/") >= 0) {
            console.log("youtube");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var youtubeId = el.attr("src").substring(("https://www.youtube.com/embed/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length);

            var image = new Image();
            image.src = 'https://img.youtube.com/vi/' + youtubeId + '/sddefault.jpg';
            var $this = $(this);
            image.onload = function () {
                var imageSrc = image.src;
                if (this.naturalWidth === 120) {
                    imageSrc = 'https://img.youtube.com/vi/' + youtubeId + '/0.jpg';
                }

                var youtubeImage = "<div class='show-youtube-video' data-video='" + youtubeId + "'><div class='youtube-play-button'></div><img src='" + imageSrc + "' alt=" + videoTitle + "></div>";
                $this.after(youtubeImage).remove();


                $(".show-youtube-video").on("click", function () {
                    var video = $(this).attr("data-video"),
                            youtubeVideoLink = "https://www.youtube.com/embed/" + video + "?rel=0&showinfo=1&autoplay=1";
                    $(this)
                            .toggleClass("active")
                            .html("<iframe src=" + youtubeVideoLink + " allow='accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture' allowfullscreen='' width='560' height='315'></iframe>");
                });
            };

        } else if (elSrc.indexOf("https://player.vimeo.com/video/") >= 0) {
            console.log("vimeo");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var vimeoId = el.attr("src").substring(("https://player.vimeo.com/video/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length);
            $(this).after("<div id=\'vimeo_" + vimeoId + "\'" + " class=\'show-vimeo-video\' data-video='" + vimeoId + "'><div class='vimeo-play-button'></div></div>").remove();

            $.ajax({
                type: 'GET',
                url: 'https://vimeo.com/api/v2/video/' + vimeoId + '.json',
                jsonp: 'callback',
                dataType: 'jsonp',
                success: function (data) {
                    var vimeoImage = data[0].thumbnail_large;
                    videoTitle = data[0].title.replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
                    $("#vimeo_" + vimeoId + " .vimeo-play-button").after("<img src='" + vimeoImage + "' alt=" + videoTitle + ">");
                }
            });

        } else {
            console.log("other");
        }
    });

    $(".show-vimeo-video").on("click", function () {
        var video = $(this).attr("data-video"),
                vimeoVideoLink = "https://player.vimeo.com/video/" + video + "?loop=1&amp;autopause=0&amp;autoplay=1";
        $(this)
                .toggleClass("active")
                .html("<iframe src=" + vimeoVideoLink + " width='640' height='360' frameborder='0' allow='autoplay; fullscreen' allowfullscreen=''></iframe>");
    });

    // END Youtube - Vimeo substitution with image
});